Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TypedCollections::TypedList Class Template Reference

`#include <coherence/util/TypedCollections.hpp>`

Inherits WrapperCollections::AbstractWrapperList.

List of all members.

## Detailed Description

### template<class T>
class coherence::util::TypedCollections::TypedList< T >

Typed wrapper over List interface.

## Public Types
typedef spec::Handle | Handle
| TypedList<T> Handle definition.
typedef spec::View | View
| TypedList<T> View definition.
typedef spec::Holder | Holder
| TypedList<T> Holder definition.
typedef T | ValueType
| The type of the objects stored in this list, e.g.
typedef TypedIterator < ValueType > | Iterator
| The type of the iterator over this list.
typedef TypedListIterator < ValueType > | ListIterator
| The type of the list iterator over this list.
## Public Member Functions
virtual ValueType | getTyped (size32_t i) const
| The typed version of the method List::get.
virtual bool | contains (ValueType v) const
| The typed version of the method Collection::contains.
virtual TypedList::Iterator::Handle | iteratorTyped () const
| The typed version of the method Collection::iterator.
virtual coherence::util::Iterator::Handle | iterator () const
| Return an Iterator over this collection. Returns: an Iterator over this collection
virtual coherence::util::Muterator::Handle | iterator ()
| Return an Iterator over this collection. Returns: an Iterator over this collection
virtual TypedList::ListIterator::Handle | listIteratorTyped () const
| The typed version of the method List::listIterator.
virtual TypedList::ListIterator::Handle | listIteratorTyped ()
| The typed version of the method List::listIterator.
virtual coherence::util::ListIterator::Handle | listIterator () const
virtual coherence::util::ListMuterator::Handle | listIterator ()
virtual TypedList::ListIterator::Handle | listIteratorTyped (size32_t i) const
| The typed version of the method Collection::iterator.
virtual TypedList::ListIterator::Handle | listIteratorTyped (size32_t i)
| The typed version of the method Collection::iterator.
virtual coherence::util::ListIterator::Handle | listIterator (size32_t i) const
  | Return a ListIterator for this list starting at index. Parameters:
  | i | the index to start the ListIterator at
Returns: a ListIterator for this list start at index
virtual coherence::util::ListMuterator::Handle | listIterator (size32_t i)
  | Return a ListIterator for this list starting at index. Parameters:
  | i | the index to start the ListIterator at
Returns: a ListIterator for this list start at index
virtual bool | add (ValueType v)
| The typed version of the method List::add.
virtual ValueType | set (size32_t idx, ValueType v)
| The typed version of the method List::set.
virtual bool | remove (ValueType v)
| The typed version of the method Collection::remove.
virtual ValueType | removeTyped (size32_t idx)
| The typed version of the method Collection::remove.
virtual bool | addAll (typename TypedCollection< ValueType >::View vtc)
| The typed version of the method Collection::addAll.
virtual bool | addAll (typename TypedCollection< ValueType >::Handle htc)
| The typed version of the method Collection::addAll.
virtual bool | addAll (typename TypedList< ValueType >::View vtl)
| The typed version of the method Collection::addAll.
virtual bool | addAll (typename TypedList< ValueType >::Handle htl)
| The typed version of the method Collection::addAll.
virtual bool | removeAll (typename TypedCollection< ValueType >::View vtc)
| The typed version of the method Collection::removeAll.
virtual bool | removeAll (typename TypedCollection< ValueType >::Handle htc)
| The typed version of the method Collection::removeAll.
virtual bool | removeAll (typename TypedList< ValueType >::View vtl)
| The typed version of the method Collection::removeAll.
virtual bool | removeAll (typename TypedList< ValueType >::Handle htl)
| The typed version of the method Collection::removeAll.
virtual bool | retainAll (typename TypedCollection< ValueType >::View vtc)
| The typed version of the method Collection::retainAll.
virtual bool | retainAll (typename TypedCollection< ValueType >::Handle htc)
| The typed version of the method Collection::retainAll.
virtual bool | retainAll (typename TypedList< ValueType >::View vtl)
| The typed version of the method Collection::retainAll.
virtual bool | retainAll (typename TypedList< ValueType >::Handle htl)
| The typed version of the method Collection::retainAll.
virtual TypedCollection < ValueType > ::Handle | asTypedCollection ()
| Convert a TypedList to a TypedCollection, wrapping the same underlying Collection::Handle.
virtual TypedCollection < ValueType >::View | asTypedCollection () const
| Convert a TypedList to a TypedCollection, wrapping the same underlying Collection::View.
virtual TypedList::Handle | subListTyped (size32_t fromIndex, size32_t toIndex)
| The typed version of the method Collection::subList.
virtual TypedList::Handle | subListTyped (size32_t fromIndex, size32_t toIndex) const
| The typed version of the method Collection::subList.
## Protected Member Functions
| TypedList (List::Holder ohListDelegate)
| Create a new TypedList over the given List.
| TypedList (const TypedList &that)
| Copy constructor.

## Member Typedef Documentation

typedef T ValueType

The type of the objects stored in this list, e.g.

String::View.

## Constructor & Destructor Documentation

TypedList | ( | List::Holder | ohListDelegate | ) | `[inline, protected]`

Create a new TypedList over the given List.

Parameters:

  | ohListDelegate | the list to delegate to

## Member Function Documentation

virtual ValueType getTyped | ( | size32_t | i | ) | const `[inline, virtual]`

The typed version of the method List::get.

Return the element from the specified position in the list.

Parameters:

  | i | the position of the item to return

Returns:
  the element from the specified position in the list

Exceptions:

  | coherence::lang::IndexOutOfBoundsException | if the index is out of range
  | ClassCastException | if the typed map is broken by external usage

virtual bool contains | ( | ValueType | v | ) | const `[inline, virtual]`

The typed version of the method Collection::contains.

Return true if this list contains the specified element.

Parameters:

  | v | element whose presence in this list is to be tested

Returns:
  true if this collection contains the specified element

virtual TypedList::Iterator::Handle iteratorTyped | ( |  | ) | const `[inline, virtual]`

The typed version of the method Collection::iterator.

Return a handle to an TypedIterator over the elements in this list.

Returns:
  a TypedIterator over the elements in this list

virtual TypedList::ListIterator::Handle listIteratorTyped | ( |  | ) | const `[inline, virtual]`

The typed version of the method List::listIterator.

Return a handle to an TypedListIterator over the elements in this list.

Returns:
  a TypedListIterator over the elements in this list

virtual TypedList::ListIterator::Handle listIteratorTyped | ( |  | ) | `[inline, virtual]`

The typed version of the method List::listIterator.

Return a handle to an TypedListIterator over the elements in this list.

Returns:
  a TypedListIterator over the elements in this list

virtual TypedList::ListIterator::Handle listIteratorTyped | ( | size32_t | i | ) | const `[inline, virtual]`

The typed version of the method Collection::iterator.

Return a handle to an TypedList Iterator over the elements in this list starting at the position specified.

Parameters:

  | i | the position in the list that the iterator will start at

Returns:
  a TypedListIterator over the elements in this list starting at the specified position in the list

virtual TypedList::ListIterator::Handle listIteratorTyped | ( | size32_t | i | ) | `[inline, virtual]`

The typed version of the method Collection::iterator.

Return a handle to an TypedList Iterator over the elements in this list starting at the position specified.

Parameters:

  | i | the position in the list that the iterator will start at

Returns:
  a TypedListIterator over the elements in this list starting at the specified position in the list

virtual bool add | ( | ValueType | v | ) | `[inline, virtual]`

The typed version of the method List::add.

Add the specified element to this list if it is not already present.

Parameters:

  | v | element to be added to this list.

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::UnsupportedOperationException | if the add() operation is not supported by this list

virtual ValueType set | ( | size32_t | idx,
|  | ValueType | v |
| ) |  |  | `[inline, virtual]`

The typed version of the method List::set.

Replace the element at the specified position in this list with the specified element.

Parameters:

  | idx | the position in the list to replace
  | v | the object to replace at the specified position

Returns:
  the element at the specified position prior to this operation

Exceptions:

  | coherence::lang::IndexOutOfBoundsException | if the index is out of range

virtual bool remove | ( | ValueType | v | ) | `[inline, virtual]`

The typed version of the method Collection::remove.

Remove the specified element from this list, if it is present.

Parameters:

  | v | element to be removed from this list, if present

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this list

virtual ValueType removeTyped | ( | size32_t | idx | ) | `[inline, virtual]`

The typed version of the method Collection::remove.

Remove the element at the specified position in the list.

Parameters:

  | idx | the index from which to remove an element

Returns:
  the element at the specified position prior to this operation

Exceptions:

  | coherence::lang::IndexOutOfBoundsException | if the index is out of range

virtual bool addAll | ( | typename TypedCollection< ValueType >::View | vtc | ) | `[inline, virtual]`

The typed version of the method Collection::addAll.

Add all of the elements in the specified TypedCollection to this list.

Parameters:

  | vtc | TypedCollection of elements to be inserted into this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the add() operation is not supported by this list

virtual bool addAll | ( | typename TypedCollection< ValueType >::Handle | htc | ) | `[inline, virtual]`

The typed version of the method Collection::addAll.

Add all of the elements in the specified TypedCollection to this list.

Parameters:

  | htc | TypedCollection of elements to be inserted into this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the add() operation is not supported by this list

virtual bool addAll | ( | typename TypedList< ValueType >::View | vtl | ) | `[inline, virtual]`

The typed version of the method Collection::addAll.

Add all of the elements in the specified TypedList to this list.

Parameters:

  | vtl | TypedList of elements to be inserted into this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the add() operation is not supported by this list

virtual bool addAll | ( | typename TypedList< ValueType >::Handle | htl | ) | `[inline, virtual]`

The typed version of the method Collection::addAll.

Add all of the elements in the specified TypedList to this list.

Parameters:

  | htl | TypedList of elements to be inserted into this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the add() operation is not supported by this list

virtual bool removeAll | ( | typename TypedCollection< ValueType >::View | vtc | ) | `[inline, virtual]`

The typed version of the method Collection::removeAll.

Remove all this list's elements that are also contained in the specified typed collection.

Parameters:

  | vtc | elements to be removed from this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this list

virtual bool removeAll | ( | typename TypedCollection< ValueType >::Handle | htc | ) | `[inline, virtual]`

The typed version of the method Collection::removeAll.

Remove all this list's elements that are also contained in the specified typed collection.

Parameters:

  | htc | elements to be removed from this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this list

virtual bool removeAll | ( | typename TypedList< ValueType >::View | vtl | ) | `[inline, virtual]`

The typed version of the method Collection::removeAll.

Remove all this list's elements that are also contained in the specified typed list.

Parameters:

  | vtl | elements to be removed from this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this list

virtual bool removeAll | ( | typename TypedList< ValueType >::Handle | htl | ) | `[inline, virtual]`

The typed version of the method Collection::removeAll.

Remove all this list's elements that are also contained in the specified typed list.

Parameters:

  | htl | elements to be removed from this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this list

virtual bool retainAll | ( | typename TypedCollection< ValueType >::View | vtc | ) | `[inline, virtual]`

The typed version of the method Collection::retainAll.

Retain only the elements in this list that are contained in the specified typed collection.

Parameters:

  | vtc | elements to be retained in this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this list

virtual bool retainAll | ( | typename TypedCollection< ValueType >::Handle | htc | ) | `[inline, virtual]`

The typed version of the method Collection::retainAll.

Retain only the elements in this list that are contained in the specified typed collection.

Parameters:

  | htc | elements to be retained in this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this list

virtual bool retainAll | ( | typename TypedList< ValueType >::View | vtl | ) | `[inline, virtual]`

The typed version of the method Collection::retainAll.

Retain only the elements in this list that are contained in the specified typed list.

Parameters:

  | vtl | elements to be retained in this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this list

virtual bool retainAll | ( | typename TypedList< ValueType >::Handle | htl | ) | `[inline, virtual]`

The typed version of the method Collection::retainAll.

Retain only the elements in this list that are contained in the specified typed list.

Parameters:

  | htl | elements to be retained in this list

Returns:
  true if this list changed as a result of the call

Exceptions:

  | coherence::lang::NullPointerException | if the specified collection is NULL
  | coherence::lang::UnsupportedOperationException | if the remove() operation is not supported by this list

virtual TypedCollection<ValueType>::Handle asTypedCollection | ( |  | ) | `[inline, virtual]`

Convert a TypedList to a TypedCollection, wrapping the same underlying Collection::Handle.

Returns:
  a handle to the new TypedCollection

virtual TypedCollection<ValueType>::View asTypedCollection | ( |  | ) | const `[inline, virtual]`

Convert a TypedList to a TypedCollection, wrapping the same underlying Collection::View.

Returns:
  a view to the new TypedCollection

virtual TypedList::Handle subListTyped | ( | size32_t | fromIndex,
|  | size32_t | toIndex |
| ) |  |  | `[inline, virtual]`

The typed version of the method Collection::subList.

Return a new typed list containing the contents of the list between the specified fromIndex (inclusive) and toIndex (exclusive).

Parameters:

  | fromIndex | the start position in this list to create the sublist from (inclusive).
  | toIndex | the end position in this list to end the sublist at (exclusive).

Returns:
  the new typed sublist of this typed list

virtual TypedList::Handle subListTyped | ( | size32_t | fromIndex,
|  | size32_t | toIndex |
| ) |  |  | const `[inline, virtual]`

The typed version of the method Collection::subList.

Return a new typed list containing the contents of the list between the specified fromIndex (inclusive) and toIndex (exclusive).

Parameters:

  | fromIndex | the start position in this list to create the sublist from (inclusive).
  | toIndex | the end position in this list to end the sublist at (exclusive).

Returns:
  the new typed sublist of this typed list

The documentation for this class was generated from the following file:

- coherence/util/TypedCollections.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.